Name: drac
Version: 1.11
Release: alt1

Summary: DRAC is a daemon for support POP-BEFORE-SMTP authorization mechainsm
License: GPL
Group: System/Servers
Url: http://mail.cc.umanitoba.ca/drac/

Source0: %name-%version.tgz
Source1: rpc.dracd-init
Source2: rpc.dracd-sysconfig
Source3: %name-%version.README.ALT.koi8
Patch0: %name-%version-alt-makefile.patch
Patch1: %name-%version-alt-fixes.patch

Requires(pre): portmap

Prefix: %prefix

# Automatically added by buildreq on Fri Aug 16 2002
BuildRequires: libdb4-devel

%description
The %name packages contains the rpc.dracd daemon. DRAC is a robust implementation of
POP-before-SMTP. It uses a single daemon process for add and delete entries from a
relay authorization map (BerkleyDB database). POP or IMAP servers use RPC calls to
request the daemon to add entries after they have authenticate the user. Source
modifications are required to add the RPC calls. The DRAC daemon also expires entries
after a suitable time has elapsed. Since RPC works across the network, the POP server
and the SMTP server can reside on different hosts.

%package devel-static
Summary: Static DRAC library
Group: Development/Other

%description devel-static
Static library for developing a DRAC-aware clients.

%prep
%setup

%patch0 -p1
%patch1 -p1

%build
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_initrddir
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/mail
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/sysconfig
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_sbindir
mkdir -p $RPM_BUILD_ROOT%_libdir
mkdir -p $RPM_BUILD_ROOT%_man3dir
mkdir -p $RPM_BUILD_ROOT%_man8dir

cp testing.c test-dracd.c
cp %SOURCE3 README.ALT.koi8

%makeinstall DESTDIR=$RPM_BUILD_ROOT
install -D -m 0755 testing $RPM_BUILD_ROOT%_bindir/test-dracd
install -D -m 0644 dracd.allow-sample $RPM_BUILD_ROOT%_sysconfdir/dracd.allow
install -D -m 0755 %SOURCE1 $RPM_BUILD_ROOT%_initrddir/rpc.dracd
install -D -m 0644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/rpc.dracd
touch $RPM_BUILD_ROOT%_sysconfdir/mail/dracd.db

%post
%post_service rpc.dracd

%preun
%preun_service rpc.dracd

%files
%_sysconfdir/dracd.allow
%_sysconfdir/mail/dracd.db
%_sysconfdir/sysconfig/rpc.dracd
%_initrddir/rpc.dracd
%_sbindir/rpc.dracd
%_bindir/test-dracd
%_man8dir/rpc.dracd.8*
%doc COPYRIGHT Changes INSTALL PORTING README README.ALT.koi8 test-dracd.c

%files devel-static
%_libdir/libdrac.a
%_man3dir/dracauth.3*

%changelog
* Thu Aug 15 2002 Dmitry Lebkov <dlebkov@altlinux.ru> 1.11-alt1
- initial package
